<?php

/**
 * PrimeBulletin About Page
 * @package PrimeBulletin
 *
*/

if( !class_exists('PrimeBulletin_About_page') ):

	class PrimeBulletin_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'primebulletin_backend_menu'),999);

		}

		// Add Backend Menu
        function primebulletin_backend_menu(){

            add_theme_page(esc_html__( 'PrimeBulletin Options','primebulletin' ), esc_html__( 'PrimeBulletin Options','primebulletin' ), 'activate_plugins', 'primebulletin-about', array($this, 'primebulletin_main_page'));

        }

        // Settings Form
        function primebulletin_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new PrimeBulletin_About_page();

endif;