<?php
/**
 * Homepage Main Widget Area
 *
 * @package PrimeBulletin
 */

if( !function_exists('primebulletin_case_home_widget_area_block') ):

    function primebulletin_case_home_widget_area_block($primebulletin_home_section){

        if ( ! is_active_sidebar( 'primebulletin-home-main-widget-area' ) && ! is_active_sidebar( 'primebulletin-home-sidebar-widget-area' ) ) {
            return;
        }
        $ed_home_widget_area = isset( $primebulletin_home_section->section_ed ) ? $primebulletin_home_section->section_ed : '';

        $class = 'homewidget-sidebar-disable'; ?>

        <div class="theme-block theme-block-widgetarea <?php echo $class; ?>">
            
            <div class="column-row">

                <?php
                if( is_active_sidebar( 'primebulletin-home-main-widget-area' ) ){ ?>

                    <div id="widget-primary" class="widget-content-area">

                        <?php dynamic_sidebar( 'primebulletin-home-main-widget-area' ); ?>

                    </div>

                <?php } ?>

            </div>
        </div>

    <?php
    }

endif;