<?php
/**
* Top Header Options.
*
* @package PrimeBulletin
*/

$primebulletin_default = primebulletin_get_default_theme_options();

$wp_customize->add_section( 'top_header_setting',
	array(
	'title'      => esc_html__( 'Top Header Settings', 'primebulletin' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting('ed_top_header',
    array(
        'default' => $primebulletin_default['ed_top_header'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'primebulletin_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_top_header',
    array(
        'label' => esc_html__('Enable Top Header', 'primebulletin'),
        'section' => 'top_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_top_header_date',
    array(
        'default' => $primebulletin_default['ed_top_header_date'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'primebulletin_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_top_header_date',
    array(
        'label' => esc_html__('Enable Current Date', 'primebulletin'),
        'section' => 'top_header_setting',
        'type' => 'checkbox',
    )
);