<?php
/**
 * Advertise
 *
 * @package PrimeBulletin
 */

function primebulletin_advertise_block( $primebulletin_home_section ){ 

	$advertise_image = esc_html( isset($primebulletin_home_section->advertise_image) ? $primebulletin_home_section->advertise_image : '');
	$advertise_link = esc_html( isset($primebulletin_home_section->advertise_link) ? $primebulletin_home_section->advertise_link : '');
	if( $advertise_image ){
	?>

	<div class="theme-block theme-block-ava">
        <div class="column-row">
            <div class="column column-12">
                <a href="<?php echo esc_url( $advertise_link ); ?>" target="_blank" class="home-lead-link">
                    <img src="<?php echo esc_url( $advertise_image ); ?>" alt="<?php esc_attr_e('Advertise Image','primebulletin'); ?>">
                </a>
            </div>
        </div>
	</div>

	<?php
	}
	
} ?>